import request from '@/utils/request'

// 查询个体经营异常标记信息列表
export function listAbnormality(query) {
  return request({
    url: '/basicData/xcrIndividualBusinessAbnormality/findByPage',
    method: 'get',
    params: query
  })
}

// 查询个体经营异常标记信息详细
export function getAbnormality(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualBusinessAbnormality/' + xhCodeId,
    method: 'get'
  })
}

// 新增个体经营异常标记信息
export function addAbnormality(data) {
  return request({
    url: '/basicData/xcrIndividualBusinessAbnormality',
    method: 'post',
    data: data
  })
}

// 修改个体经营异常标记信息
export function updateAbnormality(data) {
  return request({
    url: '/basicData/xcrIndividualBusinessAbnormality',
    method: 'put',
    data: data
  })
}

// 删除个体经营异常标记信息
export function delAbnormality(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualBusinessAbnormality/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delAbnormalityBatch(ids) {
  return request.post('/basicData/xcrIndividualBusinessAbnormality/delete',ids)
}
